Retrieves the SameChainSwapDTO object for a given swap ID.
curl --request GET \
--url https://dln-api.debridge.finance/api/SameChainSwap/{swapId}import requests
url = "https://dln-api.debridge.finance/api/SameChainSwap/{swapId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dln-api.debridge.finance/api/SameChainSwap/{swapId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"swapId": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"chainId": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"bigIntegerValue": 123,
"stringValue": "<string>"
},
"sender": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"recipient": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"tokenIn": {
"tokenAddress": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"amount": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"bigIntegerValue": 123,
"stringValue": "<string>"
},
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"logoURI": "<string>"
}
},
"tokenOut": {
"tokenAddress": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"amount": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"bigIntegerValue": 123,
"stringValue": "<string>"
},
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"logoURI": "<string>"
}
},
"transactionHash": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"blockTimeStamp": 123,
"affiliateFee": {
"affiliateFee": {
"tokenAddress": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"amount": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"bigIntegerValue": 123,
"stringValue": "<string>"
},
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"logoURI": "<string>"
}
},
"beneficiarySrc": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
}
},
"swapFee": {
"tokenAddress": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"amount": {
"bytesValue": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"bigIntegerValue": 123,
"stringValue": "<string>"
},
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"logoURI": "<string>"
}
},
"referralCode": 123,
"swapRouterInfo": {
"address": {
"Base64Value": "aSDinaTvuI8gbWludGxpZnk=",
"bytesArrayValue": "<string>",
"stringValue": "<string>"
},
"name": "<string>",
"logoUri": "<string>"
}
}{
"message": "<string>",
"errorCode": 123
}{
"message": "<string>",
"errorCode": 123
}{
"message": "<string>",
"errorCode": 123
}SameChainSwap
Retrieves the SameChainSwapDTO object for a given swap ID.
GET
/
api
/
SameChainSwap
/
{swapId}
Retrieves the SameChainSwapDTO object for a given swap ID.
Path Parameters
The unique identifier of the swap.
Response
OK
Represents a Data Transfer Object (DTO) used to encapsulate the details of a swap operation on one blockchain (NOT cross-chain).
Id of the swap
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Info about a token
Show child attributes
Show child attributes
Info about a token
Show child attributes
Show child attributes
Transaction Hash property
Show child attributes
Show child attributes
Timestamp of the block in which the event was recorded, represented as a Unix time in seconds.
Represents details regarding the affiliate fee for same chain swap.
Show child attributes
Show child attributes
Info about a token
Show child attributes
Show child attributes
Referral program code
Information about the router used for executing the token swap
Show child attributes
Show child attributes
Returns referral code which user used in first DeBridge order
Previous
Retrieves the SameChainSwapDTO object for a given transaction hash.
Next
⌘I